Intermittent leakcheck | tab process: 6000 bytes leaked (AsyncLatencyLogger, CondVar, GraphDriver, MediaStreamGraph, MediaStreamGraphImpl, ...)

RESOLVED WORKSFORME

Status

()

P2
normal
Rank:
25
RESOLVED WORKSFORME
3 years ago
3 years ago

People

(Reporter: nigelb, Unassigned)

Tracking

({intermittent-failure, memory-leak})

unspecified
intermittent-failure, memory-leak
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

3 years ago
https://treeherder.mozilla.org/logviewer.html#?job_id=19202787&repo=mozilla-inbound


 20:21:11     INFO -  WARNING | leakcheck | tab process: leaked too many AsyncLatencyLogger (expected 0, got 1)
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 1 AsyncTransactionTrackersHolder
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 1 CompositorChild
 20:21:11     INFO -  WARNING | leakcheck | tab process: leaked too many CondVar (expected 3, got 6)
 20:21:11     INFO -  WARNING | leakcheck | tab process: leaked too many GraphDriver (expected 0, got 1)
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 2 IPC::Channel
 20:21:11     INFO -  WARNING | leakcheck | tab process: leaked too many MediaStreamGraph (expected 0, got 1)
 20:21:11     INFO -  WARNING | leakcheck | tab process: leaked too many MediaStreamGraphImpl (expected 0, got 1)
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 1 MessagePump
 20:21:11     INFO -  WARNING | leakcheck | tab process: leaked too many Mutex (expected 3, got 7)
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 1 PCompositorChild
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 1 PImageBridgeChild
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 2 RefCountedMonitor
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 4 RefCountedTask
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 2 StoreRef
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 1 WaitableEventKernel
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 2 WeakReference<MessageListener>
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 1 base::Thread
 20:21:11     INFO -  TEST-INFO | leakcheck | tab process: leaked 2 ipc::MessageChannel
 20:21:11     INFO -  WARNING | leakcheck | tab process: leaked too many nsNameThreadRunnable (expected 0, got 1)
 20:21:11     INFO -  WARNING | leakcheck | tab process: leaked too many nsRunnable (expected 0, got 1)
 20:21:11     INFO -  WARNING | leakcheck | tab process: leaked too many nsStringBuffer (expected 0, got 1)
 20:21:11     INFO -  WARNING | leakcheck | tab process: leaked too many nsTArray_base (expected 9, got 19)
 20:21:11     INFO -  WARNING | leakcheck | tab process: leaked too many nsThread (expected 1, got 2)
 20:21:11  WARNING -  TEST-UNEXPECTED-FAIL | leakcheck | tab process: 6000 bytes leaked (AsyncLatencyLogger, CondVar, GraphDriver, MediaStreamGraph, MediaStreamGraphImpl, ...)
 20:21:11     INFO -  runtests.py | Running tests: end.
 20:21:11     INFO -  46684 INFO TEST-START | Shutdown
 20:21:11     INFO -  46685 INFO Passed:  2
 20:21:11     INFO -  46686 INFO Failed:  0
 20:21:11     INFO -  46687 INFO Todo:    0
 20:21:11     INFO -  46688 INFO Slowest: 0ms -
 20:21:11     INFO -  46689 INFO SimpleTest FINISHED
 20:21:11     INFO -  46690 INFO TEST-INFO | Ran 1 Loops
 20:21:11     INFO -  46691 INFO SimpleTest FINISHED
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* fx-team: 3
* try: 2
* b2g-inbound: 2

Platform breakdown:
* linux64: 12
* linux32: 4
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1236422&startday=2016-01-04&endday=2016-01-10&tree=all
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* try: 14
* mozilla-central: 2
* mozilla-inbound: 1
* fx-team: 1

Platform breakdown:
* linux64: 5
* linux32: 5
* osx-10-6: 3
* android-4-3-armv7-api11: 3
* windows7-32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1236422&startday=2016-01-14&endday=2016-01-14&tree=all
35 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 18
* mozilla-inbound: 7
* fx-team: 5
* mozilla-central: 3
* b2g-inbound: 2

Platform breakdown:
* linux32: 15
* linux64: 12
* android-4-3-armv7-api11: 3
* windows7-32: 2
* osx-10-6: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1236422&startday=2016-01-11&endday=2016-01-17&tree=all
16 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 4
* b2g-inbound: 4
* mozilla-inbound: 3
* mozilla-central: 3
* try: 2

Platform breakdown:
* linux64: 8
* linux32: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1236422&startday=2016-01-18&endday=2016-01-24&tree=all
Another Mediagraph shutdown leak.

I looked at one log which had this:

###!!! ASSERTION: Failed Dispatch after xpcom-shutdown-threads: 'false', file /builds/slave/fx-team-lx-d-00000000000000000/build/src/xpcom/threads/nsThread.cpp, line 609

The failure in that one log was during dom/browser-element/mochitest/test_browserElement_oop_AudioChannelMutedByDefault.html
Component: General → WebRTC
Product: Firefox → Core
(In reply to Andrew McCreight [:mccr8] from comment #5)
> Another Mediagraph shutdown leak.
> 
> I looked at one log which had this:
> 
> ###!!! ASSERTION: Failed Dispatch after xpcom-shutdown-threads: 'false',
> file
> /builds/slave/fx-team-lx-d-00000000000000000/build/src/xpcom/threads/
> nsThread.cpp, line 609
> 
> The failure in that one log was during
> dom/browser-element/mochitest/
> test_browserElement_oop_AudioChannelMutedByDefault.html

If we're lucky the AsyncSHutdown changes we landed this weekend may help with this
And they seemed to have stopped around the time jib landed...
backlog: --- → webrtc/webaudio+
Rank: 25
Priority: -- → P2
It sounds like this stopped, and also there's some expected reason for it to have stopped, so I'll mark this WFM.
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.